uk.gov.hmrc.ct.accounts.frs10x.boxes

# AC8023

###
Related Doc: package boxes

#### case class AC8023(value: Option[Boolean]) extends CtBoxIdentifier with CtOptionalBoolean with Input with SelfValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever, Option[Boolean]] with DirectorsReportExistenceValidation with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, DirectorsReportExistenceValidation, SelfValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever, Option[Boolean]], ValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever], ExtraValidation, Validators, Input, CtOptionalBoolean, OptionalCtValue[Boolean], CtValue[Option[Boolean]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC8023
2. Serializable
3. Serializable
4. Product
5. Equals
6. DirectorsReportExistenceValidation
7. SelfValidatableBox
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalBoolean
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AC8023(value: Option[Boolean])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def asBoolean: Option[Boolean]

   Definition Classes
     CtOptionalBoolean

7. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     ValidatableBox

10. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

11. #### implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox

    Definition Classes
      SelfValidatableBox

12. #### implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox

    Definition Classes
      SelfValidatableBox

13. #### implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox

    Definition Classes
      SelfValidatableBox

14. #### implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox

    Definition Classes
      SelfValidatableBox

15. #### implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox

    Definition Classes
      SelfValidatableBox

16. #### implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox

    Definition Classes
      SelfValidatableBox

17. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

18. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

21. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

22. #### def directorsReportPopulated(boxRetriever: Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever): Boolean

    Definition Classes
      DirectorsReportExistenceValidation

23. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

25. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

29. #### def id: String

    Definition Classes
      CtBoxIdentifier

30. #### def inverse: Option[Boolean]

    Definition Classes
      CtOptionalBoolean

31. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

32. #### def isFalse: Boolean

    Definition Classes
      CtOptionalBoolean

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### def isTrue: Boolean

    Definition Classes
      CtOptionalBoolean

35. #### val name: String

    Definition Classes
      CtBoxIdentifier

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

38. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### def orFalse: Boolean

    Definition Classes
      CtOptionalBoolean

42. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

43. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

44. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

45. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def validate(boxRetriever: Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever): Set[CtValidation]

    Definition Classes
      AC8023 → ValidatableBox

48. #### def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

49. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

50. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

51. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

52. #### def validateAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

53. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

54. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

55. #### def validateBooleanAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

56. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateBooleanAsTrue()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

58. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

59. #### def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

60. #### def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

61. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

62. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

63. #### def validateCohoNameField()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

64. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

65. #### def validateCohoOptionalNameField()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

66. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

67. #### def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

68. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

70. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

71. #### def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

72. #### def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[Boolean], Option[LocalDate]]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

73. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

74. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateDateAsBlank()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

76. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

77. #### def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

78. #### def validateDateAsMandatory()()(implicit ev: <:<[Option[Boolean], Option[LocalDate]]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

79. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

80. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

81. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

82. #### def validateDirectorsReportCannotExist(boxId: String, includeDirectorsReportValue: Option[Boolean], boxRetriever: Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever)(): Set[CtValidation]

    Definition Classes
      DirectorsReportExistenceValidation

83. #### def validateIntegerAsBlank()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

84. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

85. #### def validateIntegerAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

86. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

87. #### def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

88. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

89. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

90. #### def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

91. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

92. #### def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

93. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

94. #### def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[Boolean], Option[Int]]): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

95. #### def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

96. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

98. #### def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

99. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

100. #### def validatePositiveBigDecimal()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

101. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

102. #### def validatePositiveInteger()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

103. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

104. #### def validatePostcode(boxId: String)()(implicit ev: <:<[Option[Boolean], Option[String]]): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

105. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

106. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

     Definition Classes
       ExtraValidation

107. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

108. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

109. #### def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

110. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

111. #### def validateStringAsBlank()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

112. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

113. #### def validateStringAsMandatory()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

114. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

115. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

116. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

117. #### def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

118. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

119. #### def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

120. #### def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

121. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

122. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

123. #### def validateStringByRegex(regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

124. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

125. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

126. #### def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

127. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

128. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

129. #### def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

130. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

131. #### def validateZeroOrPositiveInteger()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

132. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

133. #### val value: Option[Boolean]

     Definition Classes
       AC8023 → CtValue

134. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

135. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

136. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DirectorsReportExistenceValidation

### Inherited from SelfValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever, Option[Boolean]]

### Inherited from ValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalBoolean

### Inherited from OptionalCtValue[Boolean]

### Inherited from CtValue[Option[Boolean]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped